#
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# norootforbuild


Name:           gdm-branding-Linkat
Version:        11.1
Release:        2.1
Group:          System/GUI/GNOME
License:        BSD 3-Clause
Summary:        Linkat branding of gdm
Provides:       gdm-branding = 2.24
Conflicts:      otherproviders(gdm-branding)
Supplements:    packageand(gdm:branding-Linkat)
# Existed for openSUSE <= 10.3, SLE <= 10
Obsoletes:      gnome2-SuSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# To be in sync with upstream defaults, do branding as a patch for upstream file.
# WARNING: As this package conflicts with gdm-branding-openSUSE, you cannot
#          reuse build root. You have to build in a clean build root every time!
BuildRequires:  gdm-branding-upstream
# For directory ownership:
BuildRequires:  gdm
BuildArch:      noarch
Vendor:         linkat

%description
This package provides Linkat Look and Feel and Linkat theme for gdm.



Authors:
--------
    Hans Petter Jansson <hpj@novell.com>
    Stephan Kulow <coolo@novell.com>
    Jakub Steiner <jimmac@novell.com>

%prep
cp -a %{_sysconfdir}/gdm/custom.conf .

%build

%install
install -d $RPM_BUILD_ROOT%{_sysconfdir}/gdm
install -m0644 custom.conf $RPM_BUILD_ROOT%{_sysconfdir}/gdm/custom.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%config(noreplace) %{_sysconfdir}/gdm/custom.conf

%changelog
* Fri Mar 26 2010 dlara@espherica.com
- Replace openSUSE branch with Linkat branch
* Mon Oct 27 2008 vuntz@novell.com
- Completely rework the package to work with the new GDM.
  Fix bnc#436431.
- The only change we do compared to upstream is the logo on the
  greeter.
* Mon Oct  6 2008 sbrabec@suse.cz
- Conflict with other branding providers (FATE#304881).
* Thu May 29 2008 sbrabec@suse.cz
- Use Gilouche theme instead of Industrial (bnc#391865).
* Tue May  6 2008 sbrabec@suse.cz
- Obsolete conflicting gnome2-SuSE.
* Mon Apr 21 2008 sbrabec@suse.cz
- Call %%suse_update_desktop_file (bnc#380741).
* Wed Apr 16 2008 sbrabec@suse.cz
- New SuSE package (bnc#369317, fate#301792).
- New background color (bnc#361234).
